

/*:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::*/
/*       autozyg.h:  header file for lm_auto.c & lm_lods.c             */
/*                    contains #includes for header files for          */
/*                        libraries used                               */
/*                    and #defines, typedefs, variables and            */
/*                        function prototypes for file lm_auto.c       */
/*:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::*/

#ifndef AUTOZYG_H
#define AUTOZYG_H

#define DEFINE_DATA

#include "parsie.h"
#ifdef LODS
#include "quant.h"
#endif /*LODS*/
#include "nghds.h"
#include "pedchk.h"
#include "msample.h"
#include "lsample.h"
#include "rans.h"
#include "traits.h"

#ifdef DMALLOC
#include <dmalloc.h>
#endif /* DMALLOC */

struct _cleanup clean_auto[] = {
{"alsi",    free_fnams},
{"alsi",    freeChkPed},
{"alsi",    freeKey},
{"alsi",    free_auto},
{"alsi",    free_ped},
{"al i",    free_cmplists},
{"alsi",    free_nghds},
{"alsi",    free_xxgg},
{"al"  ,    free_allefrq},
{"al i",    free_switches},
{"al"  ,    free_marek},
{"al"  ,    locus_peel_free},
{"al"  ,    free_allocate_loci},
{"al"  ,    free_gen_pen},
{"al"  ,    free_logprob},
{"al"  ,    free_msmpl},
{"al"  ,    free_traits},
{"alsi",    free_dub},
{""    ,    NULL}} ;

#endif /*AUTOZYG_H*/
