
/*:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::*/
/*    parsekin.h:  header file for Pars/proc_kin()                     */
/*:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::*/

#ifndef PARSEKIN_H             
#define PARSEKIN_H

int    ndefaultRF  = 8;          /* default recombination frequency    */ 
double defaultRF[] =             /* for 2-locus inbreeding computation */
         {.0, .01, .04, .05, .10, .18, .30, .50};

int  test_compu_kin(void);
int  test_reco_frq (void);
void find_ncmps    (void);
void alloc_kin     (void);
void mak_compu_kin (int, int);
void mak_def_reco  (void);
void prnt_kin_cmp  (int);
void prnt_compu_kin(int, int);
void prnt_reco_frq (void);
void mak_kin_inpt  (void);

#endif  /*PARSEKIN_H*/
