
/*:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::*/
/*       pedcomp.h:  header file for PedComp/ pedcheck and kin         */
/*                   includes header files for libraries used          */
/*:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::*/

#ifndef PEDCOMP_H
#define PEDCOMP_H

#define DEFINE_DATA

#include "parsie.h"
#include "pedchk.h"
#include "nghds.h"

#ifdef DMALLOC
#include <dmalloc.h>
#endif /* DMALLOC */

static struct _cleanup clean_check[] = {
{"pk",    free_fnams},
{"pk",    freeChkPed},
{"pk",    freeKey},
{" k",    free_cmplists},
{" k",    free_auto},
{" k",    free_ped},
{" k",    free_nghds},
{" k",    free_dub},
{""  ,    NULL}}; 

void  set_kinix (int);

#endif /*PEDCOMP_H*/

