
#include "msample.h"

/*  Score ibd pattern of individual i */

int   pattern (int j, int ws, int *proband, int *gamete)
{
   int   jj, pl, gene1, gene2;
   int   pt = 0;

   for (jj = j; jj < j + ws; ++jj)
   {
      gene1 = gamete[0] == 0 ? gg0[jj][proband[0]] : gg1[jj][proband[0]];
      gene2 = gamete[1] == 0 ? gg0[jj][proband[1]] : gg1[jj][proband[1]];

      pl = 0;
      if (gene1 == gene2 && gene1 != 0)
         pl = 1;
      pt = 2 * pt + pl;
   }
   return (pt);
}

/*  Get binary ibd score for pattern nn  */

void  binary (int nn, int ws, int *ibd)
{
   int   j, k1, k2;

   k1 = nn;
   for (j = ws - 1; j >= 0; --j)
   {
      k2 = k1 / 2;
      ibd[j] = k1 - k2 * 2;
      k1 = k2;
   }
}
