/*************************************************************************
  Routine to initialize the switches;
In set_switches:
  Currently all are set to 0;  (or all to 1)
    initial version  6/6/93
  There can be cases where this might not be compatible with data.
read_switches:
  Version for jnt_auto -- June 1997; read the switches; EAT
      Now obsolete -- deleted, Dec 1998.
read_segs:
  New version for jnt_auto and jnt_lods (July 1998) ; 
         read meiosis indicators from a different file.

***************************************************************************/

#include "msample.h"

void  set_switches (int nl, int ns, int *ind, int *sx)
{
   int   i, j, ii, ss;
   for (j = 0; j <= nl; ++j)
   {
      for (i = 0; i < pedsize; ++i)
      {
         xx0[j][i] = -1;
         xx1[j][i] = -1;
      }
      for (i = 1; i <= ns; ++i)
      {
         ii = ind[i];
         ss = sx[i];
         if (ss == 0)
            xx0[j][ii] = 1;
         if (ss == 1)
            xx1[j][ii] = 1;
      }
   }
}

void  read_segs (FILE * fp, int nseg, int ist, int nl)
                                   /* nseg= #ind for which segs read */
                                   /* nl  = #loci for which segs read */
                                   /* ist = start; 0 for lods, 1 for ibd */
{
   int   i, j;
   char  nam[MAXNAMLEN + 1];
   int   id;
   for (j = 0; j <= nl; ++j)
      for (i = 0; i < pedsize; ++i)
      {
         xx0[j][i] = -1;
         xx1[j][i] = -1;
      }

   for (i = 0; i < nseg; ++i)
   {
      read_name (fp, nam);
      id = get_posit (nam);
      /* switches ordered paternal then maternal */
      /* locus j=0 is no-data locus */
      xx1[0][id] = 0;
      xx0[0][id] = 0;
      for (j = ist; j <= nl; ++j)
      {
         fscanf (fp, "%d", &(xx1[j][id]));
         fscanf (fp, "%d", &(xx0[j][id]));
      }
   }
}
