/*************************************************************************

  purpose: generate integer in {0,1,..., k-1} according to frequency vector, 
	stored in work. k is the number of possibilities.

  From pop_gene.c program;                         10/29/90  SWG 
  Modified for used by both mixd and linkreg;      May 1992  EAT
  Modified on installing rans library and rans.h;   5/13/92  EAT
  Incorporated into rans library;		    7/30.92  EAT

**************************************************************************/

#include "rans.h"

int   rand_int (double *work, int k)
{
   int   i, j;
   double rannum, sum = 0.0;

   rannum = rans ();

   for (i = 0; i < k; ++i)
   {
      sum += work[i];
      if (rannum < sum)
      {
         j = i;
         break;
      }
   }
   return (j);
}
