
/*::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::*/
/*         polyem.h:  header file for PolyEM/ bivar, multivar,          */
/*                        univar and unibig                             */
/*                    #includes for library header files are here       */
/*::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::*/

#ifndef POLYEM_H
#define POLYEM_H

#define DEFINE_DATA

#include "parsie.h"
#include "pedchk.h"
#include "quant.h"
#ifdef PEELING
#include "peelie.h"
#endif  /*PEELING*/

#ifdef DMALLOC
#include <dmalloc.h>
#endif /* DMALLOC */

static FILE * pfile;                            /*pedigree file         */

static struct _cleanup clean_poly[] = {
{"ugbmdpal",    free_fnams},
{"ugbmdpal",    freeChkPed},
{"ugbmdpal",    freeKey},
{""        ,    NULL}}; 

#endif  /*POLYEM_H*/

